package com.pcloud.book.book.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.entity.BaseEntity;

import java.util.Date;

/**
 * 描述  :图书被诉方
 *
 * @author 作者: lili
 * @version 1.0
 * @date 创建时间：2017年6月29日 下午6:39:32
 */
public class BookDefendant extends BaseEntity {

    /**
     *
     */
    private static final long serialVersionUID = -288757988387360345L;

    /**
     * 书籍申诉方标识
     */
    private Long bookDefendantId;
    /**
     * 被诉方
     */
    private Long adviserId;

    /**
     * 书籍创建时间
     */
    private Date createdDate;

    /**
     * 申诉标识
     */
    private Long bookAppealId;

    /**
     * 代理名称
     */
    private String agentName;

    /**
     * 编辑名称
     */
    private String adviserName;
    
    /**
     * 编辑头像
     */
    private String coverImg;

    /**
     * 电话
     */
    private String phone;

    /**
     * 是否是主编辑
     */
    private Boolean isMainEditor;

    /**
     * 运营标识
     */
    private Long channelId;

    /**
     * 运营名称
     */
    private String ChannelName;

    public Long getBookDefendantId() {
        return bookDefendantId;
    }

    public void setBookDefendantId(Long bookDefendantId) {
        this.bookDefendantId = bookDefendantId;
    }

    public Long getBookAppealId() {
        return bookAppealId;
    }

    public void setBookAppealId(Long bookAppealId) {
        this.bookAppealId = bookAppealId;
    }

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getAdviserName() {
        return adviserName;
    }

    public void setAdviserName(String adviserName) {
        this.adviserName = adviserName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Boolean getIsMainEditor() {
        return isMainEditor;
    }

    public void setIsMainEditor(Boolean isMainEditor) {
        this.isMainEditor = isMainEditor;
    }

    public String getCoverImg() {
		return coverImg;
	}

	public void setCoverImg(String coverImg) {
		this.coverImg = coverImg;
	}

    public Boolean getMainEditor() {
        return isMainEditor;
    }

    public void setMainEditor(Boolean mainEditor) {
        isMainEditor = mainEditor;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getChannelName() {
        return ChannelName;
    }

    public void setChannelName(String channelName) {
        ChannelName = channelName;
    }

    @Override
    public String toString() {
        return "BookDefendant{" +
                "bookDefendantId=" + bookDefendantId +
                ", adviserId=" + adviserId +
                ", createdDate=" + createdDate +
                ", bookAppealId=" + bookAppealId +
                ", agentName='" + agentName + '\'' +
                ", adviserName='" + adviserName + '\'' +
                ", coverImg='" + coverImg + '\'' +
                ", phone='" + phone + '\'' +
                ", isMainEditor=" + isMainEditor +
                ", channelId=" + channelId +
                ", ChannelName='" + ChannelName + '\'' +
                '}';
    }
}
